# Class EmbedDto | EchoHub Documentation

# Class EmbedDto

Namespace
  EchoHub.Core.DTOs

Assembly
  EchoHub.Core.dll

    public record EmbedDto : IEquatable<EmbedDto>

Inheritance
  object
  EmbedDto

Implements
  IEquatable<EmbedDto>

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.Equals(object, object)
  object.ReferenceEquals(object, object)

## Constructors

### EmbedDto(EmbedDto)

    protected EmbedDto(EmbedDto original)

#### Parameters

`original` EmbedDto

### EmbedDto(string?, string?, string?, string?, string, string?)

    public EmbedDto(string? SiteName, string? Title, string? Description, string? ImageAscii, string Url, string? ThemeColor = null)

#### Parameters

`SiteName` string
`Title` string
`Description` string
`ImageAscii` string
`Url` string
`ThemeColor` string

## Properties

### Description

    public string? Description { get; init; }

#### Property Value

string

### EqualityContract

    protected virtual Type EqualityContract { get; }

#### Property Value

Type

### ImageAscii

    public string? ImageAscii { get; init; }

#### Property Value

string

### SiteName

    public string? SiteName { get; init; }

#### Property Value

string

### ThemeColor

    public string? ThemeColor { get; init; }

#### Property Value

string

### Title

    public string? Title { get; init; }

#### Property Value

string

### Url

    public string Url { get; init; }

#### Property Value

string

## Methods

### Deconstruct(out string?, out string?, out string?, out string?, out string, out string?)

    public void Deconstruct(out string? SiteName, out string? Title, out string? Description, out string? ImageAscii, out string Url, out string? ThemeColor)

#### Parameters

`SiteName` string
`Title` string
`Description` string
`ImageAscii` string
`Url` string
`ThemeColor` string

### Equals(EmbedDto?)

    public virtual bool Equals(EmbedDto? other)

#### Parameters

`other` EmbedDto

#### Returns

bool

### Equals(object?)

    public override bool Equals(object? obj)

#### Parameters

`obj` object

#### Returns

bool

### GetHashCode()

    public override int GetHashCode()

#### Returns

int

### PrintMembers(StringBuilder)

    protected virtual bool PrintMembers(StringBuilder builder)

#### Parameters

`builder` StringBuilder

#### Returns

bool

### ToString()

    public override string ToString()

#### Returns

string

## Operators

### operator ==(EmbedDto?, EmbedDto?)

    public static bool operator ==(EmbedDto? left, EmbedDto? right)

#### Parameters

`left` EmbedDto
`right` EmbedDto

#### Returns

bool

### operator !=(EmbedDto?, EmbedDto?)

    public static bool operator !=(EmbedDto? left, EmbedDto? right)

#### Parameters

`left` EmbedDto
`right` EmbedDto

#### Returns

bool